(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/common'), require('@angular/core')) :
    typeof define === 'function' && define.amd ? define('ngx-utilitario-rclt', ['exports', '@angular/common', '@angular/core'], factory) :
    (factory((global['ngx-utilitario-rclt'] = {}),global.ng.common,global.ng.core));
}(this, (function (exports,common,core) { 'use strict';

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var CardsComponent = /** @class */ (function () {
        function CardsComponent() {
            /**
             * recibe el icono a usar
             */
            this.icono = "fa fa-user";
            this.classTexto = "w-80 float-left";
            /**
             * Enviar el tamaño de columnas y el tamaño del icono
             */
            this.classIcono = "w-20 fontSize2-5 cardIcono";
            this.color = "#7a5449";
            this.click = new core.EventEmitter();
        }
        /**
         * @return {?}
         */
        CardsComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        /**
         * @param {?} $event
         * @return {?}
         */
        CardsComponent.prototype.clickCard = /**
         * @param {?} $event
         * @return {?}
         */
            function ($event) {
                this.click.emit($event);
            };
        CardsComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'ngx-utilitario-cards',
                        template: "<div class=\"cards\" (click)=\"clickCard($event)\">\n        <div [ngClass]=\"classTexto\">\n            <h2 class=\"cardsTitulo\">{{titulo}}</h2>\n            <h3 class=\"cardsSubtitulo\">{{subtitulo}}</h3>\n            <h3 class=\"cardsContenido\"><ng-content></ng-content></h3>\n        </div>\n    \n        <div [ngClass]=\"classIcono\">\n            <i class=\"{{icono}} float-right cardIcono\" [style.color]=\"color\"></i>\n        </div>\n    </div>",
                        styles: [".cards{background:#fff;box-shadow:rgba(0,0,0,.1);cursor:pointer;width:100%;float:left}.cards:hover{background-color:rgba(0,0,0,.05)}.cardsTitulo{font-size:.75rem;font-weight:700;text-transform:uppercase;color:#595959;padding:.35rem 0 0 1.2rem;margin:0}.cardsSubtitulo{color:#b0b0b0;font-size:1.5rem;font-weight:600;line-height:1.5;padding:0 0 0 1.2rem}.cardsContenido{color:#595959;font-size:1rem;font-weight:500;line-height:1.2;padding:0 0 0 1.2rem}.cardIcono{padding:.7rem .5rem .5rem 0}.classIcono{display:table-cell;width:auto}.fontSize2-5{font-size:2.5rem;padding-right:0}"]
                    }] }
        ];
        /** @nocollapse */
        CardsComponent.ctorParameters = function () { return []; };
        CardsComponent.propDecorators = {
            titulo: [{ type: core.Input }],
            subtitulo: [{ type: core.Input }],
            icono: [{ type: core.Input }],
            classTexto: [{ type: core.Input }],
            classIcono: [{ type: core.Input }],
            color: [{ type: core.Input }],
            click: [{ type: core.Output }]
        };
        return CardsComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var CardsImgTextComponent = /** @class */ (function () {
        function CardsImgTextComponent() {
            this.descripcion = "afdasdf";
            this.etiqueta = "etiqueta";
            this.imagen = './assets/test.jpg';
            /**
             * recibe el icono a usar
             */
            this.icono = "fa fa-user";
            this.classTexto = "w-80 float-left";
            /**
             * Enviar el tamaño de columnas y el tamaño del icono
             */
            this.classIcono = "col-1 align-middle cardIcono";
            this.color = "#000";
            this.height = "6.5rem";
            this.click = new core.EventEmitter();
        }
        /**
         * @return {?}
         */
        CardsImgTextComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        /**
         * @param {?} $event
         * @return {?}
         */
        CardsImgTextComponent.prototype.clickCard = /**
         * @param {?} $event
         * @return {?}
         */
            function ($event) {
                this.click.emit($event);
            };
        CardsImgTextComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'ngx-utilitario-cards-img-text',
                        template: "<div class=\"row cards row-no-padding\" [style.color]=\"color\" (click)=\"clickCard($event)\">\n        <div class=\"col-2 float-left\">\n            <img class=\"cardsImagen\" src={{imagen}} [style.height]=\"height\" />\n        </div>\n        <div class=\"col-9\">\n            <div [ngClass]=\"classTexto\">\n                <h2 class=\"cardsTitulo\" [style.color]=\"color\">{{titulo}}</h2>\n                <h3 class=\"cardsDescripcion\">{{descripcion}}</h3>\n                <h3 class=\"cardsEtiqueta\" [style.background]=\"color\">{{etiqueta}}</h3>\n                <h3 class=\"cardsContenido\"><ng-content></ng-content></h3>\n            </div>\n        </div>\n        <div [ngClass]=\"classIcono\">\n            <i class=\"{{icono}} float-right cardIcono\"></i>\n        </div>\n    </div>",
                        styles: [".cards{background:#fff;box-shadow:rgba(0,0,0,.1);cursor:pointer;width:100%;float:left;display:table!important}.cards:hover{background-color:rgba(0,0,0,.05);-webkit-transform:translateX(5px);transform:translateX(5px)}.cardsImagen{width:100%;-o-object-fit:fill;object-fit:fill;padding-left:1.2rem}.cardsTitulo{font-size:1.25rem;font-weight:700;color:#595959;padding:.35rem 0 0 1.2rem;margin:0}.cardsDescripcion{color:#b0b0b0;font-size:1rem;font-weight:600;line-height:1.5;padding:0 0 0 1.2rem}.cardsContenido{color:#595959;font-size:1rem;font-weight:500;line-height:1.2;padding:0 0 0 1.2rem}.cardsEtiqueta{display:inline-block;margin:0 0 0 1.2rem;padding:.25rem .5rem;color:#fff;font-size:.6rem;text-transform:capitalize;border-radius:.25rem}.classIcono{vertical-align:middle}.cardIcono{padding:.7rem .5rem .5rem 0;display:table-cell;width:auto}.fontSize40{font-size:2.5rem;padding-right:0}"]
                    }] }
        ];
        /** @nocollapse */
        CardsImgTextComponent.ctorParameters = function () { return []; };
        CardsImgTextComponent.propDecorators = {
            titulo: [{ type: core.Input }],
            descripcion: [{ type: core.Input }],
            etiqueta: [{ type: core.Input }],
            imagen: [{ type: core.Input }],
            icono: [{ type: core.Input }],
            classTexto: [{ type: core.Input }],
            classIcono: [{ type: core.Input }],
            color: [{ type: core.Input }],
            height: [{ type: core.Input }],
            click: [{ type: core.Output }]
        };
        return CardsImgTextComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var RepeatIconComponent = /** @class */ (function () {
        function RepeatIconComponent() {
            this.repetir = 5;
            this.activo = 0;
            this.icono = "fa fa-user";
            this.color = "#000";
            this.colorActivo = "#000";
        }
        /**
         * @return {?}
         */
        RepeatIconComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        RepeatIconComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'ngx-utilitario-repeat-icon',
                        template: "<div class=\"justify-content-center\">\n    <i *ngFor=\"let item of activo | numberToArray\" class=\"{{icono}}\"  [style.color]=\"colorActivo\"></i>\n    <i *ngFor=\"let item of (repetir - activo) | numberToArray\" class=\"{{icono}}\"  [style.color]=\"color\"></i>\n</div>\n",
                        styles: [""]
                    }] }
        ];
        /** @nocollapse */
        RepeatIconComponent.ctorParameters = function () { return []; };
        RepeatIconComponent.propDecorators = {
            repetir: [{ type: core.Input }],
            activo: [{ type: core.Input }],
            icono: [{ type: core.Input }],
            color: [{ type: core.Input }],
            colorActivo: [{ type: core.Input }]
        };
        return RepeatIconComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NumberToArrayPipe = /** @class */ (function () {
        function NumberToArrayPipe() {
        }
        /**
         * @param {?} value
         * @param {?=} args
         * @return {?}
         */
        NumberToArrayPipe.prototype.transform = /**
         * @param {?} value
         * @param {?=} args
         * @return {?}
         */
            function (value, args) {
                /** @type {?} */
                var res = [];
                for (var i = 0; i < value; i++) {
                    res.push(i);
                }
                return res;
            };
        NumberToArrayPipe.decorators = [
            { type: core.Pipe, args: [{
                        name: 'numberToArray'
                    },] }
        ];
        return NumberToArrayPipe;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var CardsImgTextNdivComponent = /** @class */ (function () {
        function CardsImgTextNdivComponent() {
            this.descripcion = "afdasdf";
            this.etiqueta = "etiqueta";
            this.imagen = './assets/test.jpg';
            this.classTexto = "float-left";
            this.color = "#000";
            this.height = "6.5rem";
            this.contenido = [];
            this.click = new core.EventEmitter();
        }
        /**
         * @return {?}
         */
        CardsImgTextNdivComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        /**
         * @param {?} $event
         * @return {?}
         */
        CardsImgTextNdivComponent.prototype.clickCard = /**
         * @param {?} $event
         * @return {?}
         */
            function ($event) {
                this.click.emit($event);
            };
        CardsImgTextNdivComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'ngx-utilitario-cards-img-text-ndiv',
                        template: "<div class=\"cards row row-no-padding\" [style.color]=\"color\" (click)=\"clickCard($event)\">\n        <div class=\"col-2 float-left\">\n            <img class=\"cardsImagen\" src={{imagen}}  [style.height]=\"height\"/>\n        </div>\n        <div class=\"col-{{10 - contenido.length }} float-left\">\n            <div [ngClass]=\"classTexto\">\n                <h2 class=\"cardsTitulo\" [style.color]=\"color\">{{titulo}}</h2>\n                <h3 class=\"cardsDescripcion\">{{descripcion}}</h3>\n                <h3 class=\"cardsEtiqueta\" [style.background]=\"color\">{{etiqueta}}</h3>\n                <h3 class=\"cardsContenido\"><ng-content></ng-content></h3>\n            </div>\n        </div>\n        <div *ngFor=\"let item of contenido\" class=\"col-1 float-left center-middle\" [style.line-height]=\"height\">\n            <ng-content *ngIf=\"item==='content'\"></ng-content>\n            <span *ngIf=\"item!=='content'\">{{item}}</span>\n        </div>\n    </div>",
                        styles: [".cards{background:#fff;box-shadow:rgba(0,0,0,.1);cursor:pointer;width:100%;float:left;display:table!important}.cards:hover{background-color:rgba(0,0,0,.05);-webkit-transform:translateX(5px);transform:translateX(5px)}.cardsImagen{width:100%;-o-object-fit:fill;object-fit:fill;padding-left:1.2rem}.cardsTitulo{font-size:1.25rem;font-weight:700;color:#595959;padding:.35rem 0 0 1.2rem;margin:0}.cardsDescripcion{color:#b0b0b0;font-size:1rem;font-weight:600;line-height:1.5;padding:0 0 0 1.2rem}.cardsContenido{color:#595959;font-size:1rem;font-weight:500;line-height:1.2;padding:0 0 0 1.2rem}.cardsEtiqueta{display:inline-block;margin:0 0 0 1.2rem;padding:.25rem .5rem;color:#fff;font-size:.6rem;text-transform:capitalize;border-radius:.25rem}.classIcono{vertical-align:middle}.cardIcono{padding:.7rem .5rem .5rem 0;display:table-cell;width:auto}.fontSize40{font-size:2.5rem;padding-right:0}"]
                    }] }
        ];
        /** @nocollapse */
        CardsImgTextNdivComponent.ctorParameters = function () { return []; };
        CardsImgTextNdivComponent.propDecorators = {
            titulo: [{ type: core.Input }],
            descripcion: [{ type: core.Input }],
            etiqueta: [{ type: core.Input }],
            imagen: [{ type: core.Input }],
            classTexto: [{ type: core.Input }],
            color: [{ type: core.Input }],
            height: [{ type: core.Input }],
            contenido: [{ type: core.Input }],
            click: [{ type: core.Output }]
        };
        return CardsImgTextNdivComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NgxUtilitarioRcltModule = /** @class */ (function () {
        function NgxUtilitarioRcltModule() {
        }
        NgxUtilitarioRcltModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [CardsComponent, CardsImgTextComponent, RepeatIconComponent, NumberToArrayPipe, CardsImgTextNdivComponent],
                        imports: [
                            common.CommonModule
                        ],
                        exports: [
                            /**
                             * component
                             *  */
                            CardsComponent,
                            CardsImgTextComponent,
                            RepeatIconComponent,
                            CardsImgTextNdivComponent,
                            /**
                             * pipes
                             *  */
                            NumberToArrayPipe
                        ]
                    },] }
        ];
        return NgxUtilitarioRcltModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    exports.CardsComponent = CardsComponent;
    exports.NgxUtilitarioRcltModule = NgxUtilitarioRcltModule;
    exports.ɵd = CardsImgTextNdivComponent;
    exports.ɵa = CardsImgTextComponent;
    exports.ɵc = NumberToArrayPipe;
    exports.ɵb = RepeatIconComponent;

    Object.defineProperty(exports, '__esModule', { value: true });

})));

//# sourceMappingURL=ngx-utilitario-rclt.umd.js.map